package co.yixiang.yshop.module.shop.convert.canvas;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.shop.controller.admin.canvas.vo.*;
import co.yixiang.yshop.module.shop.dal.dataobject.canvas.CanvasDO;

/**
 * 画布信息 Convert
 *
 * @author moxiangrong
 */
@Mapper
public interface CanvasConvert {

    CanvasConvert INSTANCE = Mappers.getMapper(CanvasConvert.class);

    CanvasDO convert(CanvasCreateReqVO bean);

    CanvasDO convert(CanvasUpdateReqVO bean);

    CanvasDO convert(CanvasJsonUpdateReqVO jsonUpdateReqVO);

    CanvasRespVO convert(CanvasDO bean);

    List<CanvasRespVO> convertList(List<CanvasDO> list);

    PageResult<CanvasPageRespVO> convertPage(PageResult<CanvasDO> page);

    List<CanvasExcelVO> convertList02(List<CanvasDO> list);

}
